### Constructor

# Gimp ColorTransform new_proofing

since: 2.10

#### Declaration [src]

    GimpColorTransform*
    gimp_color_transform_new_proofing (
      GimpColorProfile* src_profile,
      const Babl* src_format,
      GimpColorProfile* dest_profile,
      const Babl* dest_format,
      GimpColorProfile* proof_profile,
      GimpColorRenderingIntent proof_intent,
      GimpColorRenderingIntent display_intent,
      GimpColorTransformFlags flags
    )

#### Description [src]

This function creates a simulation / proofing color transform.

See `gimp_color_transform_new()` about the color spaces to transform between.

Available since: 2.10

#### Parameters

`src_profile`

  Type: `GimpColorProfile`

  The source `GimpColorProfile`.

  The data is owned by the caller of the function.

`src_format`

  Type: `Babl`

  The source `Babl` format.

  The data is owned by the caller of the function.

`dest_profile`

  Type: `GimpColorProfile`

  The destination `GimpColorProfile`.

  The data is owned by the caller of the function.

`dest_format`

  Type: `Babl`

  The destination `Babl` format.

  The data is owned by the caller of the function.

`proof_profile`

  Type: `GimpColorProfile`

  The proof `GimpColorProfile`.

  The data is owned by the caller of the function.

`proof_intent`

  Type: `GimpColorRenderingIntent`

  The proof intent.

`display_intent`

  Type: `GimpColorRenderingIntent`

  The display intent.

`flags`

  Type: `GimpColorTransformFlags`

  Transform flags.

#### Return value

Type: `GimpColorTransform`

The `GimpColorTransform`, or `NULL` if there was an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.